package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicConsumeType {
    public static final String ENERGY  = "能耗";
    public static final String WATER  = "水耗";
    public static final String CONSTRUCT = "建设用地消耗";
    public static final String CO2 = "CO2消耗";

    private static DicConsumeType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicConsumeType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(ENERGY, ENERGY);
        dicMap.put(CONSTRUCT, CONSTRUCT);
        dicMap.put(WATER, WATER);
        dicMap.put(CO2, CO2);
    }

    public static DicConsumeType getInstacne(){
        if (instance == null)
        {
            instance = new DicConsumeType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
